Bug 522652 - Rotation causes X to crash and restart
Summary: Rotation causes X to crash and restart
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 23:27 UTC by Gregory Maxwell
Modified: 2018-04-11 07:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-24 18:33:01 UTC


Attachments (Terms of Use)
xorg log for the crash (160.92 KB, text/plain)
2009-09-10 23:27 UTC, Gregory Maxwell
no flags Details

Description Gregory Maxwell 2009-09-10 23:27:05 UTC
Created attachment 360585 [details]
xorg log for the crash

Description of problem:
Using the testday live image setting rotation causes a crash and restart of X

How reproducible:
Every time

Steps to Reproduce:
1. Gnome display settings
2. Set rotation to left
  
Actual results:
Login screen

Expected results:
Rotated display

Comment 1 Suvayu 2009-10-04 23:42:58 UTC
Same with my system.

In my case, on selecting upside down I get a error message notification saying:

"Could not set the configuration for CRTC 60"

Selecting rotation to left or right crashes Xorg. The monitor stops detecting any signals and goes to sleep. I had to switch to text terminal and restart X to get back to GDM.

My hardware is ATI Radeon 4870
http://www.smolts.org/client/show/pub_2f38f4fa-8c22-41da-8b4e-c1994af47fa4

Comment 2 Matěj Cepl 2009-10-05 22:44:26 UTC
Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x45e938]
1: /usr/bin/Xorg (0x400000+0x622b9) [0x4622b9]
2: /lib64/libpthread.so.0 (0x7fab4c2ed000+0xf320) [0x7fab4c2fc320]
3: /usr/lib64/libpixman-1.so.0 (0x7fab4c95b000+0x83fc) [0x7fab4c9633fc]
4: /usr/lib64/libpixman-1.so.0 (0x7fab4c95b000+0x35ef0) [0x7fab4c990ef0]
5: /usr/lib64/libpixman-1.so.0 (0x7fab4c95b000+0x2f88b) [0x7fab4c98a88b]
6: /usr/lib64/libpixman-1.so.0 (0x7fab4c95b000+0x37552) [0x7fab4c992552]
7: /usr/lib64/libpixman-1.so.0 (0x7fab4c95b000+0x388c0) [0x7fab4c9938c0]
8: /usr/lib64/libpixman-1.so.0 (0x7fab4c95b000+0x2f58a) [0x7fab4c98a58a]
9: /usr/lib64/libpixman-1.so.0 (pixman_image_composite+0x17c) [0x7fab4c98b31c]
10: /usr/lib64/xorg/modules/libfb.so (fbComposite+0x160) [0x7fab47326cb0]
11: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7fab47f57000+0x5ee93) [0x7fab47fb5e93]
12: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7fab47f57000+0x5d3e2) [0x7fab47fb43e2]
13: /usr/bin/Xorg (0x400000+0xd1b90) [0x4d1b90]
14: /usr/bin/Xorg (0x400000+0x8c84e) [0x48c84e]
15: /usr/bin/Xorg (BlockHandler+0x50) [0x431810]
16: /usr/bin/Xorg (WaitForSomething+0x141) [0x45c511]
17: /usr/bin/Xorg (0x400000+0x2c422) [0x42c422]
18: /usr/bin/Xorg (0x400000+0x21cca) [0x421cca]
19: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7fab4aabeb4d]
20: /usr/bin/Xorg (0x400000+0x21879) [0x421879]
Segmentation fault at address 0x1a923b0

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting

Comment 3 Phil 2009-10-14 21:24:50 UTC
if you are running an nvidia card and of course using the nouveau driver is this bug/fix relevant?

https://bugzilla.redhat.com/show_bug.cgi?id=528309

Comment 4 Bug Zapper 2009-11-16 12:14:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Jérôme Glisse 2009-11-18 19:37:05 UTC
Does it works any better with final fedora 12 packages ?

Comment 6 Matěj Cepl 2010-02-26 12:25:46 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 7 Vedran Miletić 2010-05-24 18:33:01 UTC
Closing per comment 6.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]


Note You need to log in before you can comment on or make changes to this bug.